Subject: Re: [RFC/PATCH 0/7] Powerpc MSI Implementation

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 07 Nov 2006 18:41:16 +1100

>  * Moved msi_info into the pci_dev. This is ugly, but not sure where else
>    we can put it, pci_dn is no longer an option.

It's only ugly because it's currently powerpc specific (and thus needs
an ifdef). It's the right way to go in the long run for the generic
code. 

Now the question is wether Eric is interested in our work and thus
wether it's worth trying to port the intel & altix MSI stuff to our
infrastructure, in which case there is no more reason not to add the
msi_info to pci_dev without any ifdef (just define it as an empty struct
if CONFIG_PCI_MSI is not set).

Cheers,
Ben.